// Flex context class

.flex {
  display: flex;
}

.i-flex {
  display: inline-flex;
}

.flex-wrap {
  flex-wrap: wrap;
}

.flex-1 {
  flex: 1;
}

// Flex column context class

.flex-col {
  flex-direction: column;
}

// Flex align-self classes

.flex-ass {
  align-self: stretch;
}

.flex-asfs {
  align-self: flex-start;
}

.flex-asc {
  align-self: center;
}

.flex-asfe {
  align-self: flex-end;
}

// Flex justify-content classes

.flex-jcs {
  justify-content: stretch;
}

.flex-jcc {
  justify-content: center;
}

.flex-jcfe {
  justify-content: flex-end;
}

.flex-jcsb {
  justify-content: space-between;
}

.flex-jcsa {
  justify-content: space-around;
}

// Flex align-items classes

.flex-aifs {
  align-items: flex-start;
}

.flex-aic {
  align-items: center;
}

.flex-aife {
  align-items: flex-end;
}

// Horizontally, vertically and both axes centering in flex row / column contexts

.flex-row-hc {
  display: flex;
  justify-content: center;
}

.flex-row-vc {
  display: flex;
  align-items: center;
}

.flex-row-c {
  display: flex;
  justify-content: center;
  align-items: center;
}

.flex-col-hc {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.flex-col-vc {
  display: flex;
  justify-content: column;
}

.flex-col-c {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}
